package ${basePackage}.module.system.mgr;

import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import ${basePackage}.frame.base.Token;

/**
 * 用户
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2019-12-20
 */
public interface UserManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    UserCreateResponse create(UserCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    UserDeleteResponse delete(UserDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    UserUpdateResponse update(UserUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    UserFindResponse find(UserFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    UserGetResponse get(UserGetRequest request, Token token);
}
